package net.jieyuu.service;

import net.jieyuu.enums.SendCodeEnum;
import net.jieyuu.utils.JsonData;

public interface NotifyService {

    /**
     * 发送验证码
     * @param sendCodeType
     * @param to
     * @return
     */
    public JsonData sendCode(SendCodeEnum sendCodeType, String to);

    /**
     * 确认验证码是否合法
     * @param sendCodeEnum
     * @param to
     * @param code
     * @return
     */
    public boolean checkCode(SendCodeEnum sendCodeEnum,String to,String code);
}
